.\"	$NetBSD: sab.4,v 1.2 2005/01/21 15:06:17 wiz Exp $
.\"
.\" Copyright (c) 2003 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 29, 2003
.Dt SAB 4 sparc64
.Os
.Sh NAME
.Nm sab ,
.Nm sabtty
.Nd
.Tn Infineon
82532 Enhanced Serial Communication Controller (ESCC2)
.Sh SYNOPSIS
.Cd "sab*    at ebus?"
.Cd "sabtty* at sab? channel ?"
.Sh DESCRIPTION
The
.Nm
driver provides
.Tn TTY
support for the
.Tn Infineon
(previously
.Tn Siemens )
82532 serial communications interface found in Sun Ultra 5/10
workstations.
.Pp
Input and output speeds for each line may be set to any baud rate in the
following list: 50, 75, 110, 134, 150, 200, 300, 600, 1200, 1800, 2400, 
4800, 9600, 19200, 38400, 57600, 76800, 115200, 153600, 230400, 307200, 
460800, 614400, 921600.
.Sh FILES
.Bl -tag -width XdevXttyh0X
.It Pa /dev/ttyh[01]
serial ports
.El
.Sh DIAGNOSTICS
.Bl -tag -width indent
.It sab*: ring overflow
The software input
.Qq ring
has overflowed.
This usually means input flow-control is not configured correctly
.Pq i.e. incorrect cable wiring .
.El
.Sh SEE ALSO
.Xr tty 4 ,
.Xr zstty 4
.Sh HISTORY
The
.Nm sabtty
driver first appeared in
.Ox 3.1
and was then ported to
.Nx 2.0 .
.Sh AUTHORS
.An Jason L. Wright
